.dropdown-menu>li>i {
    display: inline-block;
    margin-right: 10px;
    position: relative;
}

.widget-mode {
    height: 35vh;
    overflow: auto;
}

.edit-mode {
    height: 40vh;
    overflow: auto;
}

.view-mode {
    height: 71vh;
    overflow: auto;
}

.widget-corner {
    cursor: pointer;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 48px;
    height: 48px;
    z-index: 1;
}

.widget-corner .fa {
    position: relative;
    top: 4px;
    left: -10px;
    z-index: 1;
    color: white;
}

.widget-corner .widget-corner-error {
    position: absolute;
    top: 0;
    left: 0;
    border-left: 48px solid #f15746;
    border-right: none;
    border-bottom: 48px solid transparent;
}

.widget-corner .widget-corner-warning {
    position: absolute;
    top: 0;
    left: 0;
    border-left: 50px solid #dfab02;
    border-right: none;
    border-bottom: 50px solid transparent;
}

:host>>>.tooltip-error>.tooltip-inner {
    min-width: 21rem;
    padding: 0.65rem;
    text-align: left;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.3);
    color: white;
    background-color: #f15746;
}

:host>>>.tooltip-error>.tooltip-arrow, :host>>>.tooltip-error>.tooltip-arrow:before {
    left: 5% !important;
    border-bottom-color: #f15746;
}

:host>>>.tooltip-warning>.tooltip-inner {
    min-width: 21rem;
    padding: 0.65rem;
    text-align: left;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.3);
    color: white;
    background-color: #dfab02;
}

:host>>>.tooltip-warning>.tooltip-arrow, :host>>>.tooltip-warning>.tooltip-arrow:before {
    left: 5% !important;
    border-bottom-color: #dfab02;
}

:host>>>.tooltip-loading>.tooltip-inner {
    min-width: 21rem;
    padding: 0.65rem;
}

:host>>>.tooltip-loading>.tooltip-arrow, :host>>>.tooltip-loading>.tooltip-arrow:before {
    left: 5% !important;
}

.loading-indicator {
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    width: 50px;
    height: 50px;
    z-index: 1;
}

.loading-indicator .fa {
    position: relative;
    top: 10px;
    z-index: 1;
}

.response-error-panel {
    display: block;
    padding: 0.65rem;
    text-align: left;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.3);
    color: white;
    word-wrap: break-word;
    background-color: #f15746;
}


.drag-corner {
    cursor: se-resize;
    position: absolute;
    bottom: 0;
    right: 0;
    border-right: 24px solid transparent;
    border-left: none;
    border-top: 24px solid transparent;
}

.drag-corner:hover {
    cursor: se-resize;
    position: absolute;
    bottom: 0;
    right: 0;
    border-right: 24px solid rgba(0, 0, 0, 0.2);
    border-left: none;
    border-top: 24px solid transparent;
}